--- libpng.SlackBuild	2006-08-26 22:30:07.000000000 -0400
+++ libpng.SlackBuild.s390x	2006-09-14 00:22:37.000000000 -0400
@@ -26,7 +26,10 @@
 
 # Need this to substitute macros, but we'll keep using the
 # pre-built Makefile for now anyway...
-./configure --prefix=/usr
+# It might look like the --libdir specification isn't buying us anything, but believe it
+# or not, it shows up in the pkgconfig file for the package.
+./configure --prefix=/us \
+            --libdir='${exec_prefix}/lib64'
 
 # Might as well link to -lz -lm, since the ./configure seems
 # to be doing it that way now...  finally.  That'll prevent
@@ -37,7 +40,7 @@
 ln -sf scripts/makefile.linux ./Makefile
 
 make prefix=/usr
-make install prefix=/usr DESTDIR=$PKG
+make install prefix=/usr LIBPATH=/usr/lib64 DESTDIR=$PKG
 
 # This symlink is needed to keep old applications running:
 # I guess the real lib used the major number 3, then 0 for
